1. customers
Google Workspace Reseller API
  • customers
    • /apps/reseller/v1/customers
      POST
    • /apps/reseller/v1/customers/{customerId}
      GET
    • /apps/reseller/v1/customers/{customerId}
      PATCH
    • /apps/reseller/v1/customers/{customerId}
      PUT
  • subscriptions
    • /apps/reseller/v1/customers/{customerId}/subscriptions
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      DELETE
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}
      GET
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/activate
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changePlan
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeRenewalSettings
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/changeSeats
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/startPaidService
      POST
    • /apps/reseller/v1/customers/{customerId}/subscriptions/{subscriptionId}/suspend
      POST
    • /apps/reseller/v1/subscriptions
      GET
  • resellernotify
    • /apps/reseller/v1/resellernotify/getwatchdetails
      GET
    • /apps/reseller/v1/resellernotify/register
      POST
    • /apps/reseller/v1/resellernotify/unregister
      POST
  • Schemas
    • Schemas
      • Address
      • ChangePlanRequest
      • Customer
      • PrimaryAdmin
      • RenewalSettings
      • ResellernotifyGetwatchdetailsResponse
      • ResellernotifyResource
      • Seats
      • Subscription
      • Subscriptions
  1. customers

/apps/reseller/v1/customers

POST
/apps/reseller/v1/customers
Orders a new customer's account. Before ordering a new customer account, establish whether the customer account already exists using the customers.get If the customer account exists as a direct Google account or as a resold customer account from another reseller, use the customerAuthToken\ as described in order a resold account for an existing customer. For more information about ordering a new customer account, see order a new customer account. After creating a new customer account, you must provision a user as an administrator. The customer's administrator is required to sign in to the Admin console and sign the G Suite via Reseller agreement to activate the account. Resellers are prohibited from signing the G Suite via Reseller agreement on the customer's behalf. For more information, see order a new customer account.

Request

Query Params

Body Params application/json

Examples

Responses

🟢200Successful response
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://reseller.googleapis.com//apps/reseller/v1/customers' \
--header 'Content-Type: application/json' \
--data-raw '{
    "alternateEmail": "string",
    "customerDomain": "string",
    "customerDomainVerified": true,
    "customerId": "string",
    "customerType": "customerTypeUnspecified",
    "kind": "reseller#customer",
    "phoneNumber": "string",
    "postalAddress": {
        "addressLine1": "string",
        "addressLine2": "string",
        "addressLine3": "string",
        "contactName": "string",
        "countryCode": "string",
        "kind": "customers#address",
        "locality": "string",
        "organizationName": "string",
        "postalCode": "string",
        "region": "string"
    },
    "primaryAdmin": {
        "primaryEmail": "string"
    },
    "resourceUiUrl": "string"
}'
Response Response Example
{
    "alternateEmail": "string",
    "customerDomain": "string",
    "customerDomainVerified": true,
    "customerId": "string",
    "customerType": "customerTypeUnspecified",
    "kind": "reseller#customer",
    "phoneNumber": "string",
    "postalAddress": {
        "addressLine1": "string",
        "addressLine2": "string",
        "addressLine3": "string",
        "contactName": "string",
        "countryCode": "string",
        "kind": "customers#address",
        "locality": "string",
        "organizationName": "string",
        "postalCode": "string",
        "region": "string"
    },
    "primaryAdmin": {
        "primaryEmail": "string"
    },
    "resourceUiUrl": "string"
}
Modified at 2022-09-11 23:42:40
Next
/apps/reseller/v1/customers/{customerId}
Built with